# Interface Initializable

Represents an item that can be initialized.

interface Initializable {
isDestroyed: boolean;
isInitialized: boolean;
destroy(): Promise<void>;
initialize(): Promise<void>;
}

#### Hierarchy (view full)

- ObservableMixin
  - Initializable
    - FeatureSource

#### Implemented by

- InitializableBase

#####
Index

### Properties

isDestroyed
isInitialized

### Methods

destroy
initialize

##
Properties

### `Readonly` isDestroyed

isDestroyed: boolean

Indicates if the item has been destroyed. Once destroyed, it is not safe to invoke any other methods on the object.

### `Readonly` isInitialized

isInitialized: boolean

Indicates if the item has been initialized.

##
Methods

### destroy

- destroy(): Promise<void>

- A clean-up function that should get called whenever the item is disposed of.

  #### Returns Promise<void>

### initialize

- initialize(): Promise<void>

- Initializes the item.

  #### Returns Promise<void>